#ifndef _SYSTEM_TYPES_H_
#define _SYSTEM_TYPES_H_

#include <stdint.h>

typedef enum
{
    MODULE_STATUS,
    MODULE_CONFIG,
    MODULE_MP3,
    MODULE_REMOTE,
    MODULE_INFO

} system_module_t;

typedef enum
{
    MODULE_INACTIVE,
    MODULE_ACTIVE

} module_state_t;

typedef enum
{
    MENU_COLLAPSED,
    MENU_EXPANDED

} screen_menu_t;

typedef struct
{
    module_state_t      state;
    screen_menu_t       menu;

} module_t;

#endif
